Subject: Re: [Webtransport] WGLC for draft-ietf-masque-h3-datagram

From: Bernard Aboba <[email-masked]>
Date: Tue, 22 Mar 2022 23:04:00 -0400

Mark --

I can understand your reaction (a number of similar thoughts ran through my
head while reading the document). At the same time, the MASQUE charter is
pretty clear about the scope of work and the draft limits itself to that
scope (see: https://datatracker.ietf.org/wg/masque/about/ ).  So I'm not
clear how far the document can go in addressing your concerns.

Also, the mechanism described is utilized by other documents developed in
other WGs such as WebTransport.  Trying to summarize those other documents
in this one probably wouldn't work well either.

So I suspect that the best that can be done might be a paragraph or two of
context.

On Tue, Mar 22, 2022 at 9:49 PM Mark Nottingham <[email-masked]> wrote:

> Hi Chris et al,
>
> I've had a read-through of the document, thanks.
>
> The first thing that I noticed is that the specification is very obviously
> written from the perspective of someone who's very deep into the details of
> HTTP/3 and QUIC, and is either confusing or silent about how this relates
> to HTTP as a protocol overall. If this is going to be a new,
> version-independent feature of HTTP, I think we should specify it as one in
> the first instance -- especially given how poorly past attempts have failed
> when they weren't well-integrated (e.g., push).
>
> So, I think it needs a non-trivial rewrite that shouldn't affect
> implementations, but unfortunately will affect the editors. I'm willing to
> work on a PR if that'd be helpful -- but it may take a bit of time to get
> right. Would that work for you/them?
>
> Once that happens, I think it'll be easier to evaluate the technical
> content. If I understand it correctly, I have no problem with the
> on-the-wire details, although the capsule protocol feels like premature
> abstraction at this point. Could someone speak to the thinking behind it?
>
> Cheers,
>
>
> > On 22 Mar 2022, at 4:38 am, Christopher Wood <[email-masked]>
> wrote:
> >
> > (Cross-posting to MASQUE, HTTPBIS, and WebTransport)
> >
> > This email initiates the WGLC for draft-ietf-masque-h3-datagram, located
> here:
> >
> >   https://datatracker.ietf.org/doc/draft-ietf-masque-h3-datagram/
> >
> > Please review the document and send any comments to the MASQUE mailing
> list. HTTPBIS and WebTransport are cc'd given the overlap in technology.
> >
> > This call will conclude on April 8.
> >
> > Best,
> > Chris and Eric
>
> --
> Mark Nottingham   https://www.mnot.net/
>
> --
> Webtransport mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/webtransport
>